<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.userMediator.home.title">User Mediators</span>
    </h5>
    <p-dataTable
        [value]="userMediators"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        dataKey="idUserMediator"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.userMediator.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['/', { outlets: { popup: ['user-mediator-new'] } }]">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.userMediator.userName'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.userName}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.userMediator.email'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.email}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.userMediator.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.userMediator.person'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.person.name}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'user-mediator/'+ rowData.idUserMediator + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idUserMediator)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>